



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Java追加文件内容的三种方法</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Java追加文件内容的三种方法</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-19 02:29:34 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<div>
<pre class="prettyprint linenums">import java.io.BufferedWriter;<br />
import java.io.File;<br />
import java.io.FileOutputStream;<br />
import java.io.FileWriter;<br />
import java.io.IOException;<br />
import java.io.OutputStreamWriter;<br />
import java.io.RandomAccessFile;

/**<br />
 *<br />
 * @author malik<br />
 * @version 2011-3-10 下午10:49:41<br />
 */<br />
public class AppendFile {

    public static void method1(String file, String conent) {<br />
        BufferedWriter out = null;<br />
        try {<br />
            out = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(file, true)));<br />
            out.write(conent);<br />
        } catch (Exception e) {<br />
            e.printStackTrace();<br />
        } finally {<br />
            try {<br />
                if(out != null){<br />
                    out.close();<br />
                }<br />
            } catch (IOException e) {<br />
                e.printStackTrace();<br />
            }<br />
        }<br />
    }   

    /**<br />
     * 追加文件：使用FileWriter<br />
     *<br />
     * @param fileName<br />
     * @param content<br />
     */<br />
    public static void method2(String fileName, String content) {<br />
        FileWriter writer = null;<br />
        try {<br />
            // 打开一个写文件器，构造函数中的第二个参数true表示以追加形式写文件<br />
            writer = new FileWriter(fileName, true);<br />
            writer.write(content);<br />
        } catch (IOException e) {<br />
            e.printStackTrace();<br />
        } finally {<br />
            try {<br />
                if(writer != null){<br />
                    writer.close();<br />
                }<br />
            } catch (IOException e) {<br />
                e.printStackTrace();<br />
            }<br />
        }<br />
    }   

    /**<br />
     * 追加文件：使用RandomAccessFile<br />
     *<br />
     * @param fileName 文件名<br />
     * @param content 追加的内容<br />
     */<br />
    public static void method3(String fileName, String content) {<br />
        RandomAccessFile randomFile = null;<br />
        try {<br />
            // 打开一个随机访问文件流，按读写方式<br />
            randomFile = new RandomAccessFile(fileName, "rw");<br />
            // 文件长度，字节数<br />
            long fileLength = randomFile.length();<br />
            // 将写文件指针移到文件尾。<br />
            randomFile.seek(fileLength);<br />
            randomFile.writeBytes(content);<br />
        } catch (IOException e) {<br />
            e.printStackTrace();<br />
        } finally{<br />
            if(randomFile != null){<br />
                try {<br />
                    randomFile.close();<br />
                } catch (IOException e) {<br />
                    e.printStackTrace();<br />
                }<br />
            }<br />
        }<br />
    }  

    public static void main(String[] args) {<br />
        try{<br />
            File file = new File("d://text.txt");<br />
            if(file.createNewFile()){<br />
                System.out.println("Create file successed");<br />
            }<br />
            method1("d://text.txt", "123");<br />
            method2("d://text.txt", "123");<br />
            method3("d://text.txt", "123");<br />
        }catch(Exception e){<br />
            System.out.println(e);<br />
        }<br />
    }<br />
}</pre>
</div>
<p><a href="http://blog.csdn.net/malik76/article/details/6408726/" rel="external nofollow noreferrer">转</a></p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/m96wvnq4.html">Web安全相关（一）：跨站脚本攻击（XSS）</a>
		</li>
						<li><a href="https://www.batexi.com/a/oqvv06oq.html">MyBatis源码分析-IDEA新建MyBatis源码工程</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qxlordq.html">HTML页面去缓存</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9jdnj09.html">【圣诞特献】Web 前端开发精华文章推荐【系列二十一】</a>
		</li>
						<li><a href="https://www.batexi.com/a/m8zz2jn8.html">canvas像素操作</a>
		</li>
						<li><a href="https://www.batexi.com/a/93xy0dr9.html">JQuery判断checkbox选中&comma;jquery获取选中的checkbox</a>
		</li>
						<li><a href="https://www.batexi.com/a/qn1zn4x8.html">linux 发布 qt（更新ld命令的路径依赖）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qn1zel28.html">模板--&amp;gt&semi;单变元模线性方程</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mng2gpq.html">Windows XPE 安装</a>
		</li>
						<li><a href="https://www.batexi.com/a/93x5g709.html">Android02－Activity01</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pj1dk49.html">深入分析MFC文档视图结构（项目实践）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8z15xmx9.html">Codeforces 701C They Are Everywhere（Two pointers&plus;STL）</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7znd0j9.html">1935&colon; &lbrack;Shoi2007&rsqb;Tree 园丁的烦恼</a>
		</li>
						<li><a href="https://www.batexi.com/a/93yv0dz8.html">css的各种选择器</a>
		</li>
						<li><a href="https://www.batexi.com/a/qljw3ex9.html">可能是讲解ARM中断和中断嵌套最通俗易懂的文章</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1mw5xq.html">php仿经典省市县三级联动</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwv4nzz8.html">通过Solrj实现对索引库中数据的局部更新操作</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zyewv19.html">Scala微服务架构 二</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o1m3xpq.html">orcale 函数wm&lowbar;concat不存咋lob值使用zh&lowbar;concat 替换</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zk26jx8.html">富文本处理NSMutableAttributedString</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/4qnlkj39.html">深入探讨 java&period;lang&period;ref 包</a>
			</li>
						<li><a href="https://www.batexi.com/a/e9jxrreq.html">如何用patch打补丁</a>
			</li>
						<li><a href="https://www.batexi.com/a/jqdx3mx8.html">&lbrack;No00002E&rsqb;关于大数据&comma;你不知道的6个迷思</a>
			</li>
						<li><a href="https://www.batexi.com/a/g8ex65xq.html">https证书提供商</a>
			</li>
						<li><a href="https://www.batexi.com/a/39010zm8.html">appid账号创建及A D-U-M-S码创建</a>
			</li>
						<li><a href="https://www.batexi.com/a/4qnlzgj9.html">QuartzCore笔记</a>
			</li>
						<li><a href="https://www.batexi.com/a/xq46v3j8.html">规范化注释  VVDocumenter的使用方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/r8mx7729.html">PAT 1031&period; 查验身份证&lpar;15&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/e9jxod0q.html">03Spring&lowbar;bean的创建和作用域以及生命周期</a>
			</li>
						<li><a href="https://www.batexi.com/a/xq46or38.html">&period;net core API 统一拦截错误</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
